//
// typica - A client library for Amazon Web Services
// Copyright (C) 2007,2008 Xerox Corporation
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.xerox.amazonws.ec2;

/**
 * This is a container class for a Region
 */
public class RegionInfo {
	public static final String REGIONURL_EU_WEST = "eu-west-1.ec2.amazonaws.com";
	public static final String REGIONURL_US_EAST = "us-east-1.ec2.amazonaws.com";
	public static final String REGIONURL_US_WEST = "us-west-1.ec2.amazonaws.com";
	public static final String REGIONURL_AP_SOUTHEAST = "ec2.ap-southeast-1.amazonaws.com";

	private String name;
	private String url;

	public RegionInfo(String name, String url) {
		this.name = name;
		this.url = url;
	}

	public String getName() {
		return name;
	}

	public String getUrl() {
		return url;
	}

	public String toString() {
		return "AvailabilityZone[name=" + name + ", url=" + url + "]";
	}
}
